Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451961 - include java-1.6.0-{bea, ibm, sun} in composes
Summary: include java-1.6.0-{bea, ibm, sun} in composes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: comps
Version: 4.7
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Daniel Mach
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-18 12:36 UTC by Daniel Mach
Modified: 2008-07-24 19:07 UTC (History)
5 users (show)

Fixed In Version: RHBA-2008-0655
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-24 19:07:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0655 normal SHIPPED_LIVE comps bug fix and enhancement update 2008-07-23 15:44:48 UTC

Description Daniel Mach 2008-06-18 12:36:45 UTC
LACD comps need to be modified to include following builds in LACD composes:

java-1.6.0-bea-1.6.0.03-1jpp.2.el4
java-1.6.0-ibm-1.6.0.1-1jpp.2.el4
java-1.6.0-sun-1.6.0.6-1jpp.1.el4

Comment 3 Daniel Mach 2008-06-18 13:29:32 UTC
Comps change has been made, changing bug status to MODIFIED.

Comment 7 Alexander Todorov 2008-06-19 13:36:34 UTC
Added package owners to CC list.

Please answer comment #5. Is this as it should be and is the difference with
other java versions also ok?

Thanks.

Comment 8 Lillian Angel 2008-06-19 14:42:01 UTC
Everything in comment #5 is correct and ok for BEA. 

Comment 12 James Laska 2008-06-23 19:57:35 UTC
VERIFIED against RHEL4-U7-LACD-re20080619.0.

NOTE: There is no ppc64 product for RHEL, so the listing for ppc64 does not apply.

(In reply to comment #10)
> Sun
> 
> === i586
> java-1.6.0-sun-1.6.0.6-1jpp.1.el4.i586
> java-1.6.0-sun-demo-1.6.0.6-1jpp.1.el4.i586
> java-1.6.0-sun-devel-1.6.0.6-1jpp.1.el4.i586
> java-1.6.0-sun-jdbc-1.6.0.6-1jpp.1.el4.i586
> java-1.6.0-sun-plugin-1.6.0.6-1jpp.1.el4.i586
> java-1.6.0-sun-src-1.6.0.6-1jpp.1.el4.i586

RHEL4-U7-LACD-re20080619.0/tree-lacd-i386/RedHat/RPMS/java-1.6.0-sun-1.6.0.6-1jpp.1.el4.i586.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-i386/RedHat/RPMS/java-1.6.0-sun-demo-1.6.0.6-1jpp.1.el4.i586.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-i386/RedHat/RPMS/java-1.6.0-sun-devel-1.6.0.6-1jpp.1.el4.i586.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-i386/RedHat/RPMS/java-1.6.0-sun-jdbc-1.6.0.6-1jpp.1.el4.i586.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-i386/RedHat/RPMS/java-1.6.0-sun-plugin-1.6.0.6-1jpp.1.el4.i586.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-i386/RedHat/RPMS/java-1.6.0-sun-src-1.6.0.6-1jpp.1.el4.i586.rpm
 
> === x86_64
> java-1.6.0-sun-1.6.0.6-1jpp.1.el4.x86_64
> java-1.6.0-sun-demo-1.6.0.6-1jpp.1.el4.x86_64
> java-1.6.0-sun-devel-1.6.0.6-1jpp.1.el4.x86_64
> java-1.6.0-sun-jdbc-1.6.0.6-1jpp.1.el4.x86_64
> java-1.6.0-sun-src-1.6.0.6-1jpp.1.el4.x86_64

RHEL4-U7-LACD-re20080619.0/tree-lacd-x86_64/RedHat/RPMS/java-1.6.0-sun-1.6.0.6-1jpp.1.el4.x86_64.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-x86_64/RedHat/RPMS/java-1.6.0-sun-demo-1.6.0.6-1jpp.1.el4.x86_64.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-x86_64/RedHat/RPMS/java-1.6.0-sun-devel-1.6.0.6-1jpp.1.el4.x86_64.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-x86_64/RedHat/RPMS/java-1.6.0-sun-jdbc-1.6.0.6-1jpp.1.el4.x86_64.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-x86_64/RedHat/RPMS/java-1.6.0-sun-src-1.6.0.6-1jpp.1.el4.x86_64.rpm
 
> Notes
> 
> No plugin subpackage on x86_64.
> Sun's plugin is only available on i586.
> 
> IBM
> 
> === i386
> java-1.6.0-ibm-1.6.0.1-1jpp.2.el4.i386
> java-1.6.0-ibm-demo-1.6.0.1-1jpp.2.el4.i386
> java-1.6.0-ibm-devel-1.6.0.1-1jpp.2.el4.i386
> java-1.6.0-ibm-javacomm-1.6.0.1-1jpp.2.el4.i386
> java-1.6.0-ibm-jdbc-1.6.0.1-1jpp.2.el4.i386
> java-1.6.0-ibm-plugin-1.6.0.1-1jpp.2.el4.i386
> java-1.6.0-ibm-src-1.6.0.1-1jpp.2.el4.i386

RHEL4-U7-LACD-re20080619.0/tree-lacd-i386/RedHat/RPMS/java-1.6.0-ibm-1.6.0.1-1jpp.2.el4.i386.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-i386/RedHat/RPMS/java-1.6.0-ibm-demo-1.6.0.1-1jpp.2.el4.i386.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-i386/RedHat/RPMS/java-1.6.0-ibm-devel-1.6.0.1-1jpp.2.el4.i386.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-i386/RedHat/RPMS/java-1.6.0-ibm-javacomm-1.6.0.1-1jpp.2.el4.i386.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-i386/RedHat/RPMS/java-1.6.0-ibm-jdbc-1.6.0.1-1jpp.2.el4.i386.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-i386/RedHat/RPMS/java-1.6.0-ibm-plugin-1.6.0.1-1jpp.2.el4.i386.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-i386/RedHat/RPMS/java-1.6.0-ibm-src-1.6.0.1-1jpp.2.el4.i386.rpm

> === ppc
> java-1.6.0-ibm-1.6.0.1-1jpp.2.el4.ppc
> java-1.6.0-ibm-demo-1.6.0.1-1jpp.2.el4.ppc
> java-1.6.0-ibm-devel-1.6.0.1-1jpp.2.el4.ppc
> java-1.6.0-ibm-javacomm-1.6.0.1-1jpp.2.el4.ppc
> java-1.6.0-ibm-jdbc-1.6.0.1-1jpp.2.el4.ppc
> java-1.6.0-ibm-plugin-1.6.0.1-1jpp.2.el4.ppc
> java-1.6.0-ibm-src-1.6.0.1-1jpp.2.el4.ppc

RHEL4-U7-LACD-re20080619.0/tree-lacd-ppc/RedHat/RPMS/java-1.6.0-ibm-1.6.0.1-1jpp.2.el4.ppc.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-ppc/RedHat/RPMS/java-1.6.0-ibm-demo-1.6.0.1-1jpp.2.el4.ppc.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-ppc/RedHat/RPMS/java-1.6.0-ibm-devel-1.6.0.1-1jpp.2.el4.ppc.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-ppc/RedHat/RPMS/java-1.6.0-ibm-javacomm-1.6.0.1-1jpp.2.el4.ppc.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-ppc/RedHat/RPMS/java-1.6.0-ibm-jdbc-1.6.0.1-1jpp.2.el4.ppc.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-ppc/RedHat/RPMS/java-1.6.0-ibm-plugin-1.6.0.1-1jpp.2.el4.ppc.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-ppc/RedHat/RPMS/java-1.6.0-ibm-src-1.6.0.1-1jpp.2.el4.ppc.rpm
 
> === ppc64
> java-1.6.0-ibm-1.6.0.1-1jpp.2.el4.ppc64
> java-1.6.0-ibm-demo-1.6.0.1-1jpp.2.el4.ppc64
> java-1.6.0-ibm-devel-1.6.0.1-1jpp.2.el4.ppc64
> java-1.6.0-ibm-javacomm-1.6.0.1-1jpp.2.el4.ppc64
> java-1.6.0-ibm-jdbc-1.6.0.1-1jpp.2.el4.ppc64
> java-1.6.0-ibm-src-1.6.0.1-1jpp.2.el4.ppc64

NOTE: there is no ppc64 tree and there are no ppc64 java packages on the ppc tree.

> === s390
> java-1.6.0-ibm-1.6.0.1-1jpp.2.el4.s390
> java-1.6.0-ibm-demo-1.6.0.1-1jpp.2.el4.s390
> java-1.6.0-ibm-devel-1.6.0.1-1jpp.2.el4.s390
> java-1.6.0-ibm-jdbc-1.6.0.1-1jpp.2.el4.s390
> java-1.6.0-ibm-src-1.6.0.1-1jpp.2.el4.s390

RHEL4-U7-LACD-re20080619.0/tree-lacd-s390/RedHat/RPMS/java-1.6.0-ibm-1.6.0.1-1jpp.2.el4.s390.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-s390/RedHat/RPMS/java-1.6.0-ibm-demo-1.6.0.1-1jpp.2.el4.s390.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-s390/RedHat/RPMS/java-1.6.0-ibm-devel-1.6.0.1-1jpp.2.el4.s390.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-s390/RedHat/RPMS/java-1.6.0-ibm-jdbc-1.6.0.1-1jpp.2.el4.s390.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-s390/RedHat/RPMS/java-1.6.0-ibm-src-1.6.0.1-1jpp.2.el4.s390.rpm

 
> === s390x
> java-1.6.0-ibm-1.6.0.1-1jpp.2.el4.s390x
> java-1.6.0-ibm-demo-1.6.0.1-1jpp.2.el4.s390x
> java-1.6.0-ibm-devel-1.6.0.1-1jpp.2.el4.s390x
> java-1.6.0-ibm-jdbc-1.6.0.1-1jpp.2.el4.s390x
> java-1.6.0-ibm-src-1.6.0.1-1jpp.2.el4.s390x

RHEL4-U7-LACD-re20080619.0/tree-lacd-s390x/RedHat/RPMS/java-1.6.0-ibm-1.6.0.1-1jpp.2.el4.s390x.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-s390x/RedHat/RPMS/java-1.6.0-ibm-demo-1.6.0.1-1jpp.2.el4.s390x.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-s390x/RedHat/RPMS/java-1.6.0-ibm-devel-1.6.0.1-1jpp.2.el4.s390x.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-s390x/RedHat/RPMS/java-1.6.0-ibm-jdbc-1.6.0.1-1jpp.2.el4.s390x.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-s390x/RedHat/RPMS/java-1.6.0-ibm-src-1.6.0.1-1jpp.2.el4.s390x.rpm
 
> === x86_64
> java-1.6.0-ibm-1.6.0.1-1jpp.2.el4.x86_64
> java-1.6.0-ibm-demo-1.6.0.1-1jpp.2.el4.x86_64
> java-1.6.0-ibm-devel-1.6.0.1-1jpp.2.el4.x86_64
> java-1.6.0-ibm-javacomm-1.6.0.1-1jpp.2.el4.x86_64
> java-1.6.0-ibm-jdbc-1.6.0.1-1jpp.2.el4.x86_64
> java-1.6.0-ibm-src-1.6.0.1-1jpp.2.el4.x86_64

RHEL4-U7-LACD-re20080619.0/tree-lacd-x86_64/RedHat/RPMS/java-1.6.0-ibm-1.6.0.1-1jpp.2.el4.x86_64.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-x86_64/RedHat/RPMS/java-1.6.0-ibm-demo-1.6.0.1-1jpp.2.el4.x86_64.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-x86_64/RedHat/RPMS/java-1.6.0-ibm-devel-1.6.0.1-1jpp.2.el4.x86_64.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-x86_64/RedHat/RPMS/java-1.6.0-ibm-javacomm-1.6.0.1-1jpp.2.el4.x86_64.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-x86_64/RedHat/RPMS/java-1.6.0-ibm-jdbc-1.6.0.1-1jpp.2.el4.x86_64.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-x86_64/RedHat/RPMS/java-1.6.0-ibm-src-1.6.0.1-1jpp.2.el4.x86_64.rpm
 
> Notes
> 
> No plugin subpackage on ppc64, s390, s390x, x86_64.
> IBM's plugin is only available on i386 and ppc.
> 
> No javacomm subpackage on s390, s390x.
> javacomm is only available on i386, x86_64, ppc and ppc64.
> javacomm is unique to IBM's Java.
> 
> BEA
> 
> === i686
> java-1.6.0-bea-1.6.0.02-1jpp.2.el4.i686
> java-1.6.0-bea-demo-1.6.0.02-1jpp.2.el4.i686
> java-1.6.0-bea-devel-1.6.0.02-1jpp.2.el4.i686
> java-1.6.0-bea-jdbc-1.6.0.02-1jpp.2.el4.i686
> java-1.6.0-bea-missioncontrol-1.6.0.02-1jpp.2.el4.i686
> java-1.6.0-bea-src-1.6.0.02-1jpp.2.el4.i686

RHEL4-U7-LACD-re20080619.0/tree-lacd-i386/RedHat/RPMS/java-1.6.0-bea-1.6.0.03-1jpp.2.el4.i686.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-i386/RedHat/RPMS/java-1.6.0-bea-demo-1.6.0.03-1jpp.2.el4.i686.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-i386/RedHat/RPMS/java-1.6.0-bea-devel-1.6.0.03-1jpp.2.el4.i686.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-i386/RedHat/RPMS/java-1.6.0-bea-jdbc-1.6.0.03-1jpp.2.el4.i686.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-i386/RedHat/RPMS/java-1.6.0-bea-missioncontrol-1.6.0.03-1jpp.2.el4.i686.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-i386/RedHat/RPMS/java-1.6.0-bea-src-1.6.0.03-1jpp.2.el4.i686.rpm

 
> === x86_64
> java-1.6.0-bea-1.6.0.02-1jpp.2.el4.x86_64
> java-1.6.0-bea-demo-1.6.0.02-1jpp.2.el4.x86_64
> java-1.6.0-bea-devel-1.6.0.02-1jpp.2.el4.x86_64
> java-1.6.0-bea-jdbc-1.6.0.02-1jpp.2.el4.x86_64
> java-1.6.0-bea-missioncontrol-1.6.0.02-1jpp.2.el4.x86_64
> java-1.6.0-bea-src-1.6.0.02-1jpp.2.el4.x86_64

RHEL4-U7-LACD-re20080619.0/tree-lacd-x86_64/RedHat/RPMS/java-1.6.0-bea-1.6.0.03-1jpp.2.el4.x86_64.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-x86_64/RedHat/RPMS/java-1.6.0-bea-demo-1.6.0.03-1jpp.2.el4.x86_64.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-x86_64/RedHat/RPMS/java-1.6.0-bea-devel-1.6.0.03-1jpp.2.el4.x86_64.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-x86_64/RedHat/RPMS/java-1.6.0-bea-jdbc-1.6.0.03-1jpp.2.el4.x86_64.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-x86_64/RedHat/RPMS/java-1.6.0-bea-missioncontrol-1.6.0.03-1jpp.2.el4.x86_64.rpm
RHEL4-U7-LACD-re20080619.0/tree-lacd-x86_64/RedHat/RPMS/java-1.6.0-bea-src-1.6.0.03-1jpp.2.el4.x86_64.rpm

 
> Notes
> 
> No plugin subpackage on any architecture.
> BEA does not provide a Java plugin.
> 
> missioncontrol is unique to BEA's Java.
> 
> General Notes
> 
> None of the JDK packages support multilib installation.



Comment 14 errata-xmlrpc 2008-07-24 19:07:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0655.html


Note You need to log in before you can comment on or make changes to this bug.